Bug 1781958 (CVE-2019-1350)

Summary: CVE-2019-1350 git: Incorrect quoting of command-line arguments allowed remote code execution during a recursive clone
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: amahdal, besser82, c.david86, chrisw, hhorak, jorton, opohorel, pcahyna, pstodulk, sebastian.kisela, tmz
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: git 2.24.1, git 2.23.1, git 2.22.2, git 2.21.1, git 2.20.2, git 2.19.3, git 2.18.2, git 2.17.3, git 2.16.6, git 2.15.4, git 2.14.6 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-12-17 10:47:59 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1781959    
Bug Blocks: 1781145    

Description Pedro Sampaio 2019-12-11 00:06:12 UTC
Incorrect quoting of command-line arguments allowed remote code execution during a recursive clone in conjunction with SSH URLs.

References:

https://kernel.googlesource.com/pub/scm/git/git/+/refs/tags/v2.24.1/Documentation/RelNotes/2.14.6.txt

Comment 1 Pedro Sampaio 2019-12-11 00:06:32 UTC
Created git tracking bugs for this issue:

Affects: fedora-all [bug 1781959]

Comment 2 Riccardo Schirone 2019-12-13 16:23:32 UTC
oss-security mailing list reference:
https://www.openwall.com/lists/oss-security/2019/12/13/1

Comment 3 Riccardo Schirone 2019-12-13 16:24:15 UTC
External References:

https://github.com/git/git/security/advisories/GHSA-44fr-r2hj-3f4x

Comment 4 Riccardo Schirone 2019-12-17 10:45:42 UTC
Upstream fix:
https://github.com/git/git/commit/6d8684161ee9c03bed5cb69ae76dfdddb85a0003

Comment 5 Riccardo Schirone 2019-12-17 10:48:04 UTC
Statement:

This issue did not affect the versions of git as shipped with Red Hat Enterprise Linux 6, 7, and 8 as this is a Windows only issue and it does not affect the Linux versions of git.